Bug 10042 - crashes in socket_get_local_addr()
crashes in socket_get_local_addr()
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 08:45 UTC by Stefan Metzmacher
Modified: 2013-08-05 18:14 UTC (History)
1 user (show)

See Also:


Attachments
Patches for v4-0-test (3.21 KB, patch)
2013-07-25 08:08 UTC, Stefan Metzmacher
abartlet: review+
metze: review+
Details
Patches for v4-1-test (3.21 KB, patch)
2013-07-25 08:08 UTC, Stefan Metzmacher
abartlet: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2013-07-24 08:45:03 UTC
Our flakey autobuild detection noticed the following segfault.

===============================================================
INTERNAL ERROR: Signal 11 in pid 938831 (4.2.0pre1-DEVELOPERBUILD)
Please read the Trouble-Shooting section of the Samba HOWTO
===============================================================
smb_panic(): calling panic action [/memdisk/sharpe/a/b842238/samba/selftest/gdb_backtrace 938831]
[Thread debugging using libthread_db enabled]
0x00002b54a465d7be in __libc_waitpid (pid=<value optimized out>, 
    stat_loc=0x7fff39a1df9c, options=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/waitpid.c:32
32	../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.
	in ../sysdeps/unix/sysv/linux/waitpid.c
#0  0x00002b54a465d7be in __libc_waitpid (pid=<value optimized out>, 
    stat_loc=0x7fff39a1df9c, options=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/waitpid.c:32
        oldtype = <value optimized out>
        result = <value optimized out>
#1  0x00002b54a45f3af9 in do_system (line=<value optimized out>)
    at ../sysdeps/posix/system.c:149
        __result = -512
        _buffer = {__routine = 0x2b54a45f3e50 <cancel_handler>, 
          __arg = 0x7fff39a1df98, __canceltype = 0, __prev = 0x0}
        _avail = 1
        status = <value optimized out>
        save = <value optimized out>
        pid = 14317
        sa = {__sigaction_handler = {sa_handler = 0x1, sa_sigaction = 0x1}, 
          sa_mask = {__val = {65536, 0 <repeats 15 times>}}, sa_flags = 0, 
          sa_restorer = 0x2b54a45b80f0}
        omask = {__val = {7808, 4294967295, 140734160297728, 1, 2195512, 0, 
            0, 0, 47642467983360, 47642463700945, 140733193388033, 0, 0, 
            47642534707440, 140734160297904, 47643008892880}}
#2  0x00002b54a1b5ddc7 in smb_panic_default (
    why=0x2b54a1b702d5 "internal error") at ../lib/util/fault.c:134
        result = 32767
        pidstr = "938831\000\000\021\275\377\277T+\000\000\260\377\377\377"
        cmdstring = "/memdisk/sharpe/a/b842238/samba/selftest/gdb_backtrace 938831\000\000\000@\340\241\071\377\177\000\000\001\000\000\000\000\000\000\000\310\301#", '\000' <repeats 31 times>"\264, \241T+\000\000\321\a \240T+\000\000\001\000\000\000\005", '\000' <repeats 11 times>, "X\373\020\243T+\000\000\070I\264\241T+\000\000A>\371\241T+\000\000\320\377\236\300T+\000\000\020\341\241\071\377\177\000\000@5\376\237T+\000\000\220\357\241\071\377\177\000"
        __FUNCTION__ = "smb_panic_default"
#3  0x00002b54a1b5df5d in smb_panic (why=0x2b54a1b702d5 "internal error")
    at ../lib/util/fault.c:162
No locals.
#4  0x00002b54a1b5dc47 in fault_report (sig=11) at ../lib/util/fault.c:77
        counter = 1
        __FUNCTION__ = "fault_report"
#5  0x00002b54a1b5dc5c in sig_fault (sig=11) at ../lib/util/fault.c:88
No locals.
#6  <signal handler called>
No symbol table info available.
#7  memcpy () at ../sysdeps/x86_64/memcpy.S:117
No locals.
#8  0x00002b54a7003477 in _tsocket_address_bsd_from_sockaddr (
    mem_ctx=0x2b54bf82b3f0, sa=0x2b54c09effd0, sa_socklen=60, 
    _addr=0x7fff39a1e620, 
    location=0x2b54a7009010 "../source4/lib/socket/socket.c:362")
    at ../lib/tsocket/tsocket_bsd.c:269
        addr = 0x2b54bf348940
        bsda = 0x2b54c0492a90
#9  0x00002b54a6ffc62a in socket_address_to_tsocket_address (
    mem_ctx=0x2b54bf82b3f0, a=0x2b54c1551230)
    at ../source4/lib/socket/socket.c:359
        r = 0x7fff39a1e640
        ret = 11092
#10 0x00002b54a6ffc812 in socket_get_local_addr (sock=0x2b54bf465b60, 
    mem_ctx=0x2b54bf82b3f0) at ../source4/lib/socket/socket.c:429
        a = 0x2b54c1551230
        r = 0x2b54bf3c9230
#11 0x00002b54a150e870 in stream_new_connection (ev=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, sock=0x2b54bf465b60, server_id=..., 
    private_data=0x2b54c05591a0) at ../source4/smbd/service_stream.c:209
        stream_socket = 0x2b54c05591a0
        srv_conn = 0x2b54bf82b3f0
        __FUNCTION__ = "stream_new_connection"
#12 0x00002b54a28323df in single_accept_connection (ev=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, listen_socket=0x2b54c05031f0, 
    new_conn=0x2b54a150e58d <stream_new_connection>, 
    private_data=0x2b54c05591a0) at ../source4/smbd/process_single.c:81
        status = {v = 0}
        connected_socket = 0x2b54bf465b60
        pid = 938831
        __FUNCTION__ = "single_accept_connection"
#13 0x00002b54a150ea0d in stream_accept_handler (ev=0x2b54a0248540, 
    fde=0x2b54bfcece20, flags=1, private_data=0x2b54c05591a0)
    at ../source4/smbd/service_stream.c:251
        stream_socket = 0x2b54c05591a0
#14 0x00002b54a1d8aae3 in epoll_event_loop (epoll_ev=0x2b54a0248780, 
    tvalp=0x7fff39a1e8a0) at ../lib/tevent/tevent_epoll.c:736
        fde = 0x2b54bfcece20
        flags = 1
        mpx_fde = 0x0
        ret = 1
        i = 0
        events = {{events = 1, data = {ptr = 0x2b54bfcece20, 
              fd = -1076965856, u32 = 3218001440, u64 = 47642995248672}}}
        timeout = 30000
        wait_errno = 9
#15 0x00002b54a1d8b10b in epoll_event_loop_once (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent_epoll.c:931
        epoll_ev = 0x2b54a0248780
        tval = {tv_sec = 30, tv_usec = 0}
        panic_triggered = false
#16 0x00002b54a1d87e17 in std_event_loop_once (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent_standard.c:112
        glue_ptr = 0x2b54a0248630
        glue = 0x2b54a0248630
        ret = 11092
#17 0x00002b54a1d82459 in _tevent_loop_once (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent.c:530
        ret = 0
        nesting_stack_ptr = 0x0
#18 0x00002b54a1d826d1 in tevent_common_loop_wait (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent.c:634
        ret = 0
#19 0x00002b54a1d87eb9 in std_event_loop_wait (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent_standard.c:138
        glue_ptr = 0x2b54a0248630
        glue = 0x2b54a0248630
        ret = 11092
#20 0x00002b54a1d8279c in _tevent_loop_wait (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent.c:653
No locals.
#21 0x00002b54ad46961d in standard_new_task (ev=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, service_name=0x2b54b38b6e1d "rpc", 
    new_task=0x2b54a150f9dd <task_server_callback>, 
    private_data=0x2b54a024a4b0) at ../source4/smbd/process_standard.c:186
        pid = 938831
#22 0x00002b54a150fb8c in task_server_startup (event_ctx=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, service_name=0x2b54b38b6e1d "rpc", 
    model_ops=0x2b54ad669d40, task_init=0x2b54b38b6c0c <dcesrv_task_init>)
    at ../source4/smbd/service_task.c:112
        state = 0x2b54a024a4b0
#23 0x00002b54a150dfce in server_service_init (name=0x2b54a0222a00 "rpc", 
    event_context=0x2b54a0248540, lp_ctx=0x2b54a021cc30, 
    model_ops=0x2b54ad669d40) at ../source4/smbd/service.c:63
        srv = 0x2b54a0247e00
#24 0x00002b54a150e10f in server_service_startup (event_ctx=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, model=0x2b54a021bb90 "standard", 
    server_services=0x2b54a02260d0) at ../source4/smbd/service.c:95
        status = {v = 0}
        i = 0
        model_ops = 0x2b54ad669d40
        __FUNCTION__ = "server_service_startup"
#25 0x00002b549ffe9734 in binary_smbd_main (
    binary_name=0x2b549ffed37b "samba", argc=6, argv=0x7fff39a1ef98)
    at ../source4/smbd/server.c:494
        opt_daemon = false
        opt_interactive = true
        opt = -1
        pc = 0x2b54a021b040
        static_init = {0x2b54a150dd7c <server_service_auth_init>, 
          0x2b54a151098f <server_service_echo_init>, 0}
        shared_init = 0x2b54a026c850
        event_ctx = 0x2b54a0248540
        stdin_event_flags = 1
        status = {v = 0}
        model = 0x2b54a021bb90 "standard"
        max_runtime = 7500
        st = {st_dev = 8, st_ino = 359872824, st_nlink = 1, st_mode = 4480, 
          st_uid = 1049, st_gid = 100, __pad0 = 0, st_rdev = 0, st_size = 0, 
          st_blksize = 4096, st_blocks = 0, st_atim = {tv_sec = 1374547393, 
            tv_nsec = 273205087}, st_mtim = {tv_sec = 1374547393, 
            tv_nsec = 273205087}, st_ctim = {tv_sec = 1374547393, 
            tv_nsec = 273205087}, __unused = {0, 0, 0}}
        long_options = {{longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x2b54a45af1e0, val = 0, 
            descrip = 0x2b549ffed531 "Help options:", argDescrip = 0x0}, {
            longName = 0x2b549ffed53f "daemon", shortName = 68 'D', 
            argInfo = 0, arg = 0x0, val = 1000, 
            descrip = 0x2b549ffed546 "Become a daemon (default)", 
            argDescrip = 0x0}, {longName = 0x2b549ffed560 "interactive", 
            shortName = 105 'i', argInfo = 0, arg = 0x0, val = 1001, 
            descrip = 0x2b549ffed570 "Run interactive (not a daemon)", 
            argDescrip = 0x0}, {longName = 0x2b549ffed58f "model", 
            shortName = 77 'M', argInfo = 1, arg = 0x0, val = 1002, 
            descrip = 0x2b549ffed595 "Select process model", 
            argDescrip = 0x2b549ffed5aa "MODEL"}, {
            longName = 0x2b549ffed5b0 "maximum-runtime", 
            shortName = 0 '\000', argInfo = 2, arg = 0x7fff39a1ee6c, val = 0, 
            descrip = 0x2b549ffed5c0 "set maximum runtime of the server process, till autotermination", argDescrip = 0x2b549ffed600 "seconds"}, {
            longName = 0x2b549ffed608 "show-build", shortName = 98 'b', 
            argInfo = 0, arg = 0x0, val = 1003, 
            descrip = 0x2b549ffed613 "show build info", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x2b54a01f1200, val = 0, 
            descrip = 0x2b549ffed623 "Common Samba options:", 
            argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', 
            argInfo = 4, arg = 0x2b54a01f13c0, val = 0, 
            descrip = 0x2b549ffed639 "Version options:", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, 
            val = 0, descrip = 0x0, argDescrip = 0x0}}
        __FUNCTION__ = "binary_smbd_main"
#26 0x00002b549ffe9802 in main (argc=6, argv=0x7fff39a1ef98)
    at ../source4/smbd/server.c:514
No locals.

Thread 1 (Thread 0x2b54ad05a7e0 (LWP 938831)):
#0  0x00002b54a465d7be in __libc_waitpid (pid=<value optimized out>, 
    stat_loc=0x7fff39a1df9c, options=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/waitpid.c:32
        oldtype = <value optimized out>
        result = <value optimized out>
#1  0x00002b54a45f3af9 in do_system (line=<value optimized out>)
    at ../sysdeps/posix/system.c:149
        __result = -512
        _buffer = {__routine = 0x2b54a45f3e50 <cancel_handler>, 
          __arg = 0x7fff39a1df98, __canceltype = 0, __prev = 0x0}
        _avail = 1
        status = <value optimized out>
        save = <value optimized out>
        pid = 14317
        sa = {__sigaction_handler = {sa_handler = 0x1, sa_sigaction = 0x1}, 
          sa_mask = {__val = {65536, 0 <repeats 15 times>}}, sa_flags = 0, 
          sa_restorer = 0x2b54a45b80f0}
        omask = {__val = {7808, 4294967295, 140734160297728, 1, 2195512, 0, 
            0, 0, 47642467983360, 47642463700945, 140733193388033, 0, 0, 
            47642534707440, 140734160297904, 47643008892880}}
#2  0x00002b54a1b5ddc7 in smb_panic_default (
    why=0x2b54a1b702d5 "internal error") at ../lib/util/fault.c:134
        result = 32767
        pidstr = "938831\000\000\021\275\377\277T+\000\000\260\377\377\377"
        cmdstring = "/memdisk/sharpe/a/b842238/samba/selftest/gdb_backtrace 938831\000\000\000@\340\241\071\377\177\000\000\001\000\000\000\000\000\000\000\310\301#", '\000' <repeats 31 times>"\264, \241T+\000\000\321\a \240T+\000\000\001\000\000\000\005", '\000' <repeats 11 times>, "X\373\020\243T+\000\000\070I\264\241T+\000\000A>\371\241T+\000\000\320\377\236\300T+\000\000\020\341\241\071\377\177\000\000@5\376\237T+\000\000\220\357\241\071\377\177\000"
        __FUNCTION__ = "smb_panic_default"
#3  0x00002b54a1b5df5d in smb_panic (why=0x2b54a1b702d5 "internal error")
    at ../lib/util/fault.c:162
No locals.
#4  0x00002b54a1b5dc47 in fault_report (sig=11) at ../lib/util/fault.c:77
        counter = 1
        __FUNCTION__ = "fault_report"
#5  0x00002b54a1b5dc5c in sig_fault (sig=11) at ../lib/util/fault.c:88
No locals.
#6  <signal handler called>
No symbol table info available.
#7  memcpy () at ../sysdeps/x86_64/memcpy.S:117
No locals.
#8  0x00002b54a7003477 in _tsocket_address_bsd_from_sockaddr (
    mem_ctx=0x2b54bf82b3f0, sa=0x2b54c09effd0, sa_socklen=60, 
    _addr=0x7fff39a1e620, 
    location=0x2b54a7009010 "../source4/lib/socket/socket.c:362")
    at ../lib/tsocket/tsocket_bsd.c:269
        addr = 0x2b54bf348940
        bsda = 0x2b54c0492a90
#9  0x00002b54a6ffc62a in socket_address_to_tsocket_address (
    mem_ctx=0x2b54bf82b3f0, a=0x2b54c1551230)
    at ../source4/lib/socket/socket.c:359
        r = 0x7fff39a1e640
        ret = 11092
#10 0x00002b54a6ffc812 in socket_get_local_addr (sock=0x2b54bf465b60, 
    mem_ctx=0x2b54bf82b3f0) at ../source4/lib/socket/socket.c:429
        a = 0x2b54c1551230
        r = 0x2b54bf3c9230
#11 0x00002b54a150e870 in stream_new_connection (ev=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, sock=0x2b54bf465b60, server_id=..., 
    private_data=0x2b54c05591a0) at ../source4/smbd/service_stream.c:209
        stream_socket = 0x2b54c05591a0
        srv_conn = 0x2b54bf82b3f0
        __FUNCTION__ = "stream_new_connection"
#12 0x00002b54a28323df in single_accept_connection (ev=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, listen_socket=0x2b54c05031f0, 
    new_conn=0x2b54a150e58d <stream_new_connection>, 
    private_data=0x2b54c05591a0) at ../source4/smbd/process_single.c:81
        status = {v = 0}
        connected_socket = 0x2b54bf465b60
        pid = 938831
        __FUNCTION__ = "single_accept_connection"
#13 0x00002b54a150ea0d in stream_accept_handler (ev=0x2b54a0248540, 
    fde=0x2b54bfcece20, flags=1, private_data=0x2b54c05591a0)
    at ../source4/smbd/service_stream.c:251
        stream_socket = 0x2b54c05591a0
#14 0x00002b54a1d8aae3 in epoll_event_loop (epoll_ev=0x2b54a0248780, 
    tvalp=0x7fff39a1e8a0) at ../lib/tevent/tevent_epoll.c:736
        fde = 0x2b54bfcece20
        flags = 1
        mpx_fde = 0x0
        ret = 1
        i = 0
        events = {{events = 1, data = {ptr = 0x2b54bfcece20, 
              fd = -1076965856, u32 = 3218001440, u64 = 47642995248672}}}
        timeout = 30000
        wait_errno = 9
#15 0x00002b54a1d8b10b in epoll_event_loop_once (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent_epoll.c:931
        epoll_ev = 0x2b54a0248780
        tval = {tv_sec = 30, tv_usec = 0}
        panic_triggered = false
#16 0x00002b54a1d87e17 in std_event_loop_once (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent_standard.c:112
        glue_ptr = 0x2b54a0248630
        glue = 0x2b54a0248630
        ret = 11092
#17 0x00002b54a1d82459 in _tevent_loop_once (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent.c:530
        ret = 0
        nesting_stack_ptr = 0x0
#18 0x00002b54a1d826d1 in tevent_common_loop_wait (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent.c:634
        ret = 0
#19 0x00002b54a1d87eb9 in std_event_loop_wait (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent_standard.c:138
        glue_ptr = 0x2b54a0248630
        glue = 0x2b54a0248630
        ret = 11092
#20 0x00002b54a1d8279c in _tevent_loop_wait (ev=0x2b54a0248540, 
    location=0x2b54ad4699d0 "../source4/smbd/process_standard.c:186")
    at ../lib/tevent/tevent.c:653
No locals.
#21 0x00002b54ad46961d in standard_new_task (ev=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, service_name=0x2b54b38b6e1d "rpc", 
    new_task=0x2b54a150f9dd <task_server_callback>, 
    private_data=0x2b54a024a4b0) at ../source4/smbd/process_standard.c:186
        pid = 938831
#22 0x00002b54a150fb8c in task_server_startup (event_ctx=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, service_name=0x2b54b38b6e1d "rpc", 
    model_ops=0x2b54ad669d40, task_init=0x2b54b38b6c0c <dcesrv_task_init>)
    at ../source4/smbd/service_task.c:112
        state = 0x2b54a024a4b0
#23 0x00002b54a150dfce in server_service_init (name=0x2b54a0222a00 "rpc", 
    event_context=0x2b54a0248540, lp_ctx=0x2b54a021cc30, 
    model_ops=0x2b54ad669d40) at ../source4/smbd/service.c:63
        srv = 0x2b54a0247e00
#24 0x00002b54a150e10f in server_service_startup (event_ctx=0x2b54a0248540, 
    lp_ctx=0x2b54a021cc30, model=0x2b54a021bb90 "standard", 
    server_services=0x2b54a02260d0) at ../source4/smbd/service.c:95
        status = {v = 0}
        i = 0
        model_ops = 0x2b54ad669d40
        __FUNCTION__ = "server_service_startup"
#25 0x00002b549ffe9734 in binary_smbd_main (
    binary_name=0x2b549ffed37b "samba", argc=6, argv=0x7fff39a1ef98)
    at ../source4/smbd/server.c:494
        opt_daemon = false
        opt_interactive = true
        opt = -1
        pc = 0x2b54a021b040
        static_init = {0x2b54a150dd7c <server_service_auth_init>, 
          0x2b54a151098f <server_service_echo_init>, 0}
        shared_init = 0x2b54a026c850
        event_ctx = 0x2b54a0248540
        stdin_event_flags = 1
        status = {v = 0}
        model = 0x2b54a021bb90 "standard"
        max_runtime = 7500
        st = {st_dev = 8, st_ino = 359872824, st_nlink = 1, st_mode = 4480, 
          st_uid = 1049, st_gid = 100, __pad0 = 0, st_rdev = 0, st_size = 0, 
          st_blksize = 4096, st_blocks = 0, st_atim = {tv_sec = 1374547393, 
            tv_nsec = 273205087}, st_mtim = {tv_sec = 1374547393, 
            tv_nsec = 273205087}, st_ctim = {tv_sec = 1374547393, 
            tv_nsec = 273205087}, __unused = {0, 0, 0}}
        long_options = {{longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x2b54a45af1e0, val = 0, 
            descrip = 0x2b549ffed531 "Help options:", argDescrip = 0x0}, {
            longName = 0x2b549ffed53f "daemon", shortName = 68 'D', 
            argInfo = 0, arg = 0x0, val = 1000, 
            descrip = 0x2b549ffed546 "Become a daemon (default)", 
            argDescrip = 0x0}, {longName = 0x2b549ffed560 "interactive", 
            shortName = 105 'i', argInfo = 0, arg = 0x0, val = 1001, 
            descrip = 0x2b549ffed570 "Run interactive (not a daemon)", 
            argDescrip = 0x0}, {longName = 0x2b549ffed58f "model", 
            shortName = 77 'M', argInfo = 1, arg = 0x0, val = 1002, 
            descrip = 0x2b549ffed595 "Select process model", 
            argDescrip = 0x2b549ffed5aa "MODEL"}, {
            longName = 0x2b549ffed5b0 "maximum-runtime", 
            shortName = 0 '\000', argInfo = 2, arg = 0x7fff39a1ee6c, val = 0, 
            descrip = 0x2b549ffed5c0 "set maximum runtime of the server process, till autotermination", argDescrip = 0x2b549ffed600 "seconds"}, {
            longName = 0x2b549ffed608 "show-build", shortName = 98 'b', 
            argInfo = 0, arg = 0x0, val = 1003, 
            descrip = 0x2b549ffed613 "show build info", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 4, 
            arg = 0x2b54a01f1200, val = 0, 
            descrip = 0x2b549ffed623 "Common Samba options:", 
            argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', 
            argInfo = 4, arg = 0x2b54a01f13c0, val = 0, 
            descrip = 0x2b549ffed639 "Version options:", argDescrip = 0x0}, {
            longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, 
            val = 0, descrip = 0x0, argDescrip = 0x0}}
        __FUNCTION__ = "binary_smbd_main"
#26 0x00002b549ffe9802 in main (argc=6, argv=0x7fff39a1ef98)
    at ../source4/smbd/server.c:514
No locals.
oldtype = <value optimized out>
result = <value optimized out>
A debugging session is active.

	Inferior 1 [process 938831] will be detached.
Comment 1 Stefan Metzmacher 2013-07-25 08:08:25 UTC
Created attachment 9073 [details]
Patches for v4-0-test
Comment 2 Stefan Metzmacher 2013-07-25 08:08:50 UTC
Created attachment 9074 [details]
Patches for v4-1-test
Comment 3 Karolin Seeger 2013-07-29 19:46:00 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 4 Karolin Seeger 2013-08-05 18:14:55 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!